Bug 10828 - Chromium-browser from tainted is unable to play mp3 (proprietary codecs)
Summary: Chromium-browser from tainted is unable to play mp3 (proprietary codecs)
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 3
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: D Morgan
QA Contact:
URL: http://twit.cachefly.net/audio/twig/t...
Depends on: 10922
  Show dependency treegraph
Reported: 2013-07-23 16:12 CEST by claire robinson
Modified: 2013-08-17 13:01 CEST (History)
1 user (show)

See Also:
Source RPM: chromium-browser-stable
Status comment:


Description claire robinson 2013-07-23 16:12:42 CEST
Noticed during testing in bug 10804

chromium-browser from tainted in mga3 is unable to play mp3 files. It does think it can play them and tries to play them, but fails. There are no obvious errors in strace or on cli.

This functionality should be enabled as part of enabling the proprietary codecs. The core version tries to download an mp3 file rather than play it so I think this is either the static ffmpeg not being built tainted or a missing require (or something else :D).

Please see bug 10804 comment 7 onwards for further details.


Steps to Reproduce:
claire robinson 2013-07-23 16:12:50 CEST

Hardware: i586 => All

Comment 1 David Walser 2013-07-23 17:19:32 CEST
Thanks Claire.  Here's the build log for the last tainted mga3 i586 build:

I don't see any references to gst or gstreamer in there, so maybe it doesn't use that.  I do see ffmpeg, but nothing that seems to give any useful info, but maybe it is some missing build requires.  It'd be interesting to compare the BRs to other distros that enable the proprietary_codecs build option.
Pascal Terjan 2013-07-24 13:25:55 CEST

CC: (none) => pterjan

Comment 2 Pascal Terjan 2013-07-30 00:00:44 CEST
This seems fixed by my latest change in cauldron, I'll apply the same change in updates so that it gets included in next update.
Comment 3 Pascal Terjan 2013-07-30 00:06:22 CEST
Committed to the 3/ branch.
Comment 4 claire robinson 2013-07-30 07:46:21 CEST
Thanks Pascal
David Walser 2013-08-15 02:04:56 CEST

Depends on: (none) => 10922

Comment 5 Manuel Hiebel 2013-08-17 13:01:25 CEST
was pushed

Resolution: (none) => FIXED

Note You need to log in before you can comment on or make changes to this bug.